## org.apache.xerces.impl.xs.identity
Class Selector.XPath

    java.lang.Object
      |
      +--org.apache.xerces.impl.xpath.XPath
            |
            +--org.apache.xerces.impl.xs.identity.Selector.XPath

Enclosing class:
  Selector

public static class Selector.XPath
extends XPath

Schema identity constraint selector XPath expression.

Version:
  $Id: Selector.java 572110 2007-09-02 19:04:44Z mrglavas $
Author:
  Andy Clark, IBM

Inner classes inherited from class org.apache.xerces.impl.xpath.XPath
`XPath.Axis, XPath.LocationPath, XPath.NodeTest, XPath.Step`

Fields inherited from class org.apache.xerces.impl.xpath.XPath
`fExpression, fLocationPaths, fSymbolTable`

Constructor Summary
`Selector.XPath(java.lang.String xpath, SymbolTable symbolTable, org.apache.xerces.xni.NamespaceContext context)` Constructs a selector XPath expression.

Methods inherited from class org.apache.xerces.impl.xpath.XPath
`getLocationPath, getLocationPaths, main, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Selector.XPath

    public Selector.XPath(java.lang.String xpath,
                          SymbolTable symbolTable,
                          org.apache.xerces.xni.NamespaceContext context)
                   throws XPathException

  Constructs a selector XPath expression.

Copyright © 1999-2007 The Apache Software Foundation. All Rights Reserved.